---
layout: default
title: Installation - Reference Manual - csvq
category: reference
---

# Installation

* [Install executable binary](#install-executable-binary)
* [Build from source](#build-from-source)
* [Install using package manager](#install-using-package-manager)

## Install executable binary
{: #install-executable-binary}

1. Download an archive file from [release page](https://github.com/mithrandie/csvq/releases).
2. Extract the downloaded archive and add a binary file in it to your path.

## Build from source
{: #build-from-source}

### Requirements

Go 1.18 or later (cf. [Getting Started - The Go Programming Language](https://golang.org/doc/install))

### Build command

```$ go install github.com/mithrandie/csvq```

## Install using package manager
{: #install-using-package-manager}

Installing using a package manager does not ensure that you always get the latest version, but it may make installation and updating easier.

### Ubuntu

1. ```$ sudo add-apt-repository ppa:mithrandie/csvq```
2. ```$ sudo apt update```
3. ```$ sudo apt install csvq```

### macOS (unofficial)

1. Install homebrew (cf. [The missing package manager for macOS (or Linux) — Homebrew](https://brew.sh))
2. ```$ brew install csvq```
